Ptex: Header Struct Reference

Ptex

Public Member Functions | Public Attributes | List of all members
Header Struct Reference

`#include <PtexIO.h>`

## Public Member Functions
int | pixelSize () const
bool | hasAlpha () const

## Public Attributes
uint32_t | magic
uint32_t | version
uint32_t | meshtype
uint32_t | datatype
int32_t | alphachan
uint16_t | nchannels
uint16_t | nlevels
uint32_t | nfaces
uint32_t | extheadersize
uint32_t | faceinfosize
uint32_t | constdatasize
uint32_t | levelinfosize
uint32_t | minorversion
uint64_t | leveldatasize
uint32_t | metadatazipsize
uint32_t | metadatamemsize

## Detailed Description

Definition at line 44 of file PtexIO.h.

## Member Function Documentation

## ◆ hasAlpha()

bool Header::hasAlpha | ( |  | ) | const
| inline

Definition at line 62 of file PtexIO.h.

References alphachan, and nchannels.

Referenced by PtexReader::readConstData(), PtexReader::readEditFaceData(), PtexReader::readFaceData(), PtexMainWriter::storeConstValue(), PtexMainWriter::writeFace(), and PtexIncrWriter::writeFace().

## ◆ pixelSize()

int Header::pixelSize | ( |  | ) | const
| inline

Definition at line 61 of file PtexIO.h.

References Ptex::DataSize(), datatype, and nchannels.

Referenced by PtexReader::open(), and PtexWriterBase::PtexWriterBase().

## Member Data Documentation

## ◆ alphachan

int32_t Header::alphachan

Definition at line 49 of file PtexIO.h.

Referenced by PtexReader::alphaChannel(), PtexReader::getInfo(), hasAlpha(), PtexIncrWriter::PtexIncrWriter(), PtexWriterBase::PtexWriterBase(), PtexReader::readConstData(), PtexReader::readEditFaceData(), PtexReader::readFaceData(), PtexMainWriter::storeConstValue(), PtexMainWriter::writeFace(), and PtexIncrWriter::writeFace().

## ◆ constdatasize

uint32_t Header::constdatasize

Definition at line 55 of file PtexIO.h.

Referenced by PtexMainWriter::finish(), PtexReader::open(), and PtexReader::readConstData().

## ◆ datatype

uint32_t Header::datatype

Definition at line 48 of file PtexIO.h.

Referenced by PtexReader::dataType(), PtexReader::datatype(), PtexWriterBase::datatype(), PtexReader::getInfo(), pixelSize(), and PtexWriterBase::PtexWriterBase().

## ◆ extheadersize

uint32_t Header::extheadersize

Definition at line 53 of file PtexIO.h.

Referenced by PtexIncrWriter::finish(), PtexReader::open(), PtexIncrWriter::PtexIncrWriter(), PtexWriterBase::PtexWriterBase(), and PtexReader::reopenFP().

## ◆ faceinfosize

uint32_t Header::faceinfosize

Definition at line 54 of file PtexIO.h.

Referenced by PtexMainWriter::finish(), PtexReader::open(), and PtexReader::readFaceInfo().

## ◆ leveldatasize

uint64_t Header::leveldatasize

Definition at line 58 of file PtexIO.h.

Referenced by PtexMainWriter::finish(), and PtexReader::open().

## ◆ levelinfosize

uint32_t Header::levelinfosize

Definition at line 56 of file PtexIO.h.

Referenced by PtexMainWriter::finish(), and PtexReader::open().

## ◆ magic

uint32_t Header::magic

Definition at line 45 of file PtexIO.h.

Referenced by PtexReader::open(), PtexIncrWriter::PtexIncrWriter(), and PtexWriterBase::PtexWriterBase().

## ◆ meshtype

uint32_t Header::meshtype

Definition at line 47 of file PtexIO.h.

Referenced by PtexMainWriter::flagConstantNeighorhoods(), PtexReader::getData(), PtexReader::getInfo(), PtexReader::meshType(), PtexIncrWriter::PtexIncrWriter(), PtexWriterBase::PtexWriterBase(), PtexReader::TiledFaceBase::reduce(), and PtexWriterBase::storeFaceInfo().

## ◆ metadatamemsize

uint32_t Header::metadatamemsize

Definition at line 60 of file PtexIO.h.

Referenced by PtexReader::readMetaData(), and PtexMainWriter::writeMetaData().

## ◆ metadatazipsize

uint32_t Header::metadatazipsize

Definition at line 59 of file PtexIO.h.

Referenced by PtexReader::open(), PtexReader::readMetaData(), and PtexMainWriter::writeMetaData().

## ◆ minorversion

uint32_t Header::minorversion

Definition at line 57 of file PtexIO.h.

Referenced by PtexWriterBase::PtexWriterBase().

## ◆ nchannels

uint16_t Header::nchannels

Definition at line 50 of file PtexIO.h.

Referenced by PtexReader::getInfo(), PtexReader::getPixel(), hasAlpha(), PtexReader::nchannels(), PtexReader::numChannels(), pixelSize(), PtexIncrWriter::PtexIncrWriter(), PtexWriterBase::PtexWriterBase(), PtexReader::readConstData(), PtexReader::readEditFaceData(), PtexReader::readFaceData(), PtexMainWriter::storeConstValue(), PtexMainWriter::writeFace(), PtexIncrWriter::writeFace(), PtexWriterBase::writeFaceBlock(), and PtexWriterBase::writeReduction().

## ◆ nfaces

uint32_t Header::nfaces

Definition at line 52 of file PtexIO.h.

Referenced by PtexMainWriter::finish(), PtexMainWriter::generateReductions(), PtexReader::getData(), PtexReader::getInfo(), PtexReader::numFaces(), PtexIncrWriter::PtexIncrWriter(), PtexWriterBase::PtexWriterBase(), PtexReader::readConstData(), PtexReader::readEditFaceData(), PtexReader::readFaceInfo(), and PtexWriterBase::storeFaceInfo().

## ◆ nlevels

uint16_t Header::nlevels

Definition at line 51 of file PtexIO.h.

Referenced by PtexMainWriter::finish(), PtexReader::hasMipMaps(), PtexWriterBase::PtexWriterBase(), and PtexReader::readLevelInfo().

## ◆ version

uint32_t Header::version

Definition at line 46 of file PtexIO.h.

Referenced by PtexReader::open(), and PtexWriterBase::PtexWriterBase().

The documentation for this struct was generated from the following file:

- PtexIO.h